Download it now!
Bug 91077 - FILEOPEN: shapes imported from discarded DOCX footer/header
Summary: FILEOPEN: shapes imported from discarded DOCX footer/header
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-04 12:46 UTC by László Németh
Modified: 2018-12-05 15:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2015-05-04 12:46:38 UTC
The LibreOffice test document n779627.docx contains a discarded footer (checked in MS Office, too), but its shapes are imported by LibreOffice, see

http://cgit.freedesktop.org/libreoffice/core/plain/sw/qa/extras/ooxmlimport/data/n779627.docx
Comment 1 Commit Notification 2015-05-04 13:04:23 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da0c3b50c79697dd595b00922ede004b9f2960f4

tdf#91077 don't import shapes from discarded DOCX header/footer

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-05-04 13:04:27 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fccd44a01e2092b587bbab43f5c5f56cd7ece4cd

tdf#91077 unit tests for shape import of discarded DOCX header/footer

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 vihsa 2017-06-02 03:32:25 UTC
verified
Version: 5.5.0.0.alpha0+
Build ID: 066665644b398a882e6cded98af5bb060af41d76
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: 2017-06-01 00:30:43